//---------------------------------------------------------------------------

#ifndef Pr12convH
#define Pr12convH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <inifiles.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TOpenDialog *OpenDialog1;
        TOpenDialog *OpenDialog2;
        TEdit *Edit1;
        TEdit *Edit2;
        TButton *Button1;
        TButton *Button2;
        TRadioGroup *RadioGroup1;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *Edit3;
        TUpDown *UpDown1;
        TLabel *Label4;
        TEdit *Edit4;
        TUpDown *UpDown2;
        TCheckBox *CheckBox1;
        TButton *Button3;
        TEdit *Edit5;
        TUpDown *UpDown3;
        TLabel *Label5;
        TLabel *Label6;
        TComboBox *ComboBox1;
        TComboBox *ComboBox2;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall UpDownClick(TObject *Sender, TUDBtnType Button);
        void __fastcall UpDown3Click(TObject *Sender, TUDBtnType Button);
private:	// User declarations
        void setlang(void);
        void convert(AnsiString f1,AnsiString f2,int d,int l1,int l2,bool gp,int ln,int ki,int gk);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#pragma option push
#pragma option -a1
typedef struct{
   unsigned __int16 id;
   unsigned __int32 sa;
   unsigned __int16 len;
} Tpop1rec;
typedef struct{
   unsigned __int32 idx;
   unsigned __int16 sa;
} Tpop2idx;
typedef struct{
   unsigned __int16 id;
   unsigned __int32 sa;
   unsigned __int16 len;
   unsigned char flags[3];
} Tpop2rec;
typedef struct{
   unsigned char tiles[24][3][10];
   unsigned char backs[24][3][10];
   unsigned char gates1[256];
   unsigned char gates2[256];
   unsigned char links[24][4];
   unsigned char rmcount;
   unsigned char rmx[24];
   unsigned char rmy[24];
   unsigned char filler1[15];
   unsigned char startroom;
   unsigned char starttile;
   unsigned char startdir;
   unsigned char filler2[4];
   unsigned char guardpos[24];
   unsigned char guarddir[24];
   unsigned char filler3[48];
   unsigned char guardskill[24];
   unsigned char filler4[24];
   unsigned char guardcolor[24];
   unsigned char filler5[18];
} Tpop1level;
typedef struct {
   unsigned char tiles[32][3][10];
   unsigned char backs[32][3][10][4];
   unsigned char gates[256][5];
   unsigned char links[32][4];
   unsigned char rmcount;
   unsigned __int32 jeff;
   unsigned char kind;
   unsigned char uk1;
   unsigned char levelnum;
   unsigned __int16 incomp[12];
   unsigned char startroom;
   unsigned char starttile;
   unsigned char startdir;
   unsigned char uk2[3];
   unsigned char guardkind;
   struct {
      unsigned char n;
      struct {
         unsigned char tile;
         unsigned __int16 pos;
         unsigned char dir;
         unsigned char skill;
         unsigned char frame;
         unsigned char uk1[3];
         unsigned char subkind;
         unsigned char index;
         unsigned char uk2[4];
         unsigned char kind;
         unsigned char hp;
         unsigned char skel1;
         unsigned char skel2;
         unsigned char uk3[4];
      } guard[5];
   } guards[32];
   struct {
      unsigned char room;
      unsigned char tile;
   } checkpoints[9];
   struct {
      unsigned char n;
      unsigned char uk1[4];
      struct {
         unsigned char uk1;
         unsigned char line;
         unsigned char col;
         unsigned char uk2;
         unsigned char delay;
         unsigned char uk3[2];
         unsigned char howmany;
         unsigned char hp;
         unsigned char more;
      } comingguard[3];
   } comingguards[32];
   unsigned char wtf[32][3][10];
} Tpop2level;
#pragma option pop
TStringList* sl;
AnsiString path;
AnsiString lng_file;
TStringList* texts;
#endif

